package org.dataglot.words;

import org.atteo.evo.inflector.English;

public class Word
{
	public Word(final String string)
	{
		this(string.substring(0, 1), string.substring(1, string.length()));
	}

	public Word(final String initial, final String rest)
	{
		this.initial = initial;
		this.rest = rest;
	}

	public String camel()
	{
		return initial.toUpperCase() + rest.toLowerCase();
	}

	public String lower()
	{
		return initial.toLowerCase() + rest.toLowerCase();
	}

	public Word plural()
	{
		return new Word(English.plural(initial + rest));
	}

	public String title()
	{
		return initial.toUpperCase() + rest;
	}

	@Override
	public String toString()
	{
		return initial + rest;
	}

	public String upper()
	{
		return initial.toUpperCase() + rest.toUpperCase();
	}

	private final String initial;

	private final String rest;
}
