package org.dataglot.words;

import java.util.ArrayList;

class WordsSpacingCamel implements WordsSpacing
{
	public WordsSpacingCamel(final ArrayList<Word> wordList)
	{
		this.wordList = wordList;
	}

	@Override
	public String lower()
	{
		final StringBuilder stringBuilder = new StringBuilder();
		if (wordList.size() > 1)
		{
			stringBuilder.append(wordList.get(0).lower());
		}
		for (int i = 1; i < wordList.size(); ++i)
		{
			stringBuilder.append(wordList.get(i).camel());
		}
		return stringBuilder.toString();
	}

	@Override
	public String sentence()
	{
		final StringBuilder stringBuilder = new StringBuilder();
		for (int i = 0; i < wordList.size(); ++i)
		{
			stringBuilder.append(wordList.get(i).camel());
		}
		return stringBuilder.toString();
	}

	@Override
	public String title()
	{
		return sentence();
	}

	@Override
	public String upper()
	{
		final StringBuilder stringBuilder = new StringBuilder();
		for (int i = 0; i < wordList.size(); ++i)
		{
			stringBuilder.append(wordList.get(i).upper());
		}
		return stringBuilder.toString();
	}

	private final ArrayList<Word> wordList;
}
