package org.dataglot.words;

import java.util.ArrayList;

class WordsSpacingHuman implements WordsSpacing
{
	public WordsSpacingHuman(final ArrayList<Word> wordList, final String delim)
	{
		this.wordList = wordList;
		this.delim = delim;
	}

	@Override
	public String lower()
	{
		final StringBuilder stringBuilder = new StringBuilder();
		for (int i = 0; i < wordList.size(); ++i)
		{
			if (i != 0)
			{
				stringBuilder.append(delim);
			}
			stringBuilder.append(wordList.get(i).lower());
		}
		return stringBuilder.toString();
	}

	@Override
	public String sentence()
	{
		final StringBuilder stringBuilder = new StringBuilder();
		if (wordList.size() > 1)
		{
			stringBuilder.append(wordList.get(0).title());
		}
		for (int i = 1; i < wordList.size(); ++i)
		{
			stringBuilder.append(delim);
			stringBuilder.append(wordList.get(i).toString());
		}
		return stringBuilder.toString();

	}

	@Override
	public String title()
	{
		final StringBuilder stringBuilder = new StringBuilder();
		for (int i = 0; i < wordList.size(); ++i)
		{
			if (i != 0)
			{
				stringBuilder.append(delim);
			}
			stringBuilder.append(wordList.get(i).title());
		}
		return stringBuilder.toString();
	}

	@Override
	public String upper()
	{
		final StringBuilder stringBuilder = new StringBuilder();
		for (int i = 0; i < wordList.size(); ++i)
		{
			if (i != 0)
			{
				stringBuilder.append(delim);
			}
			stringBuilder.append(wordList.get(i).upper());
		}
		return stringBuilder.toString();
	}

	private final String delim;

	private final ArrayList<Word> wordList;
}
